[haiku-bugs] Re: [Haiku] #10913: libroot: update math lib of glibc

  • From: "Haiku" <trac@xxxxxxxxxxxx>
  • To: undisclosed-recipients: ;
  • Date: Wed, 27 Feb 2019 07:41:02 -0000

#10913: libroot: update math lib of glibc
---------------------------------+----------------------------
   Reporter:  jessicah           |      Owner:  jessicah
       Type:  enhancement        |     Status:  new
   Priority:  normal             |  Milestone:  Unscheduled
  Component:  System/libroot.so  |    Version:  R1/Development
 Resolution:                     |   Keywords:
 Blocked By:                     |   Blocking:
Has a Patch:  0                  |   Platform:  All
---------------------------------+----------------------------
Description changed by pulkomandy:

Old description:



New description:

 We are currently using an old version of glibc. This is required for BeOS
 compatibility, as glibc made some changes to its ABI over the years.

 However, there are some parts we could update. For example it seems safe
 to replace the math code with something else.

 We could use replacements from FreeBSD or musl, reducing the amount of
 LGPL licensed code in Haiku.

--

-- 
Ticket URL: <https://dev.haiku-os.org/ticket/10913#comment:1>
Haiku <https://dev.haiku-os.org>
The Haiku operating system.

Other related posts: